Simple Machines Community Forum

SMF Support => Server Performance and Configuration => Topic started by: Joshua Dickerson on December 28, 2004, 03:53:17 AM

Title: PHP 5, MySQL 5/4.1
Post by: Joshua Dickerson on December 28, 2004, 03:53:17 AM
What do you think about making a mod that would make SMF work with only the newest version of PHP and MySQL. It would make use of their functions and features.

Foreign Key Constraints, InnoDB, stored procedures, triggers, INSERT ... SELECT, lots of PHP and MySQL functions.
Title: Re: PHP 5, MySQL 5/4.1
Post by: [Unknown] on December 31, 2004, 11:39:04 PM
I'm not a big fan of foreign keys, but some of the other things would be nice.

-[Unknown]
Title: Re: PHP 5, MySQL 5/4.1
Post by: Joshua Dickerson on September 19, 2005, 08:02:18 PM
Anyone interested in helping me create this mod? It will require a lot of work.

To start, prepared statements and multi-table queries (UDPATE & DELETE specifically). Not sure where to start with PHP usage.